// POVRay 3.0 Scene File
// written by:  Micha Riser (mriser@usa.net)
// visit my homepage:              http://www.geocities.com/SiliconValley/Pines/7992/
// the POVRay Objects Collection:  http://povobjects.fsn.net/
// adaptations by TdeG / 07-2002 

//=================================================================================
// VERSION AND GAMMA SWITCHES
//=================================================================================
// Gamma correction macro:
#include "Gamma Macros.inc"

#declare MPov       = off;

#if (MPov)
  #version unofficial megapov 1.21;
  #include "tone_mapping.inc"	     // MegaPOV include file for Clip_Colors()
  #declare Gamma = 1.0;
#else
  #version 3.7;
  #declare Gamma = 2.2;
#end

// Set a color of the background (sky)
background {GammaColor(<0.1, 0.3, 0.5>,Gamma) }
plane {y,0.0 pigment{GammaColor(<0.5, 0.67, 0.2>,Gamma)}} 

camera 
{ 
location <0.9,2,-5> 
  look_at   <0 , 1.2 , .5> 
angle 45
} 
 

light_source 
{ 
  0*x // light's position (translated below) 
  color 2 // light's color 
  translate <1, 25, -20>*100
}

/***************************************************************************************************
                  T W I S T E D   W E E D   G E N E R A T O R
                        for POV-Ray 3.1 and higher

                   written by:  Micha Riser (mriser@usa.net)
              modified by: TdeG
 ***************************************************************************************************/

#include "TwistedWeed.inc"

#declare Randomer = 555;
//#declare Tex = texture {pigment {GammaColor(<0.4,0.5,0.2>,Gamma)}}
#declare Tex = texture {pigment {rgb <0,1,0>}}
#declare Thresh = 0.5;  // threshold of the blob (default= 0.2)
#declare Twigs = 15;    // number of twigs (default= 25)
#declare Segments = 20; // number of segments on a twig (default= 20)

TwistedWeed()

object{Weed}

/***************************************************************************************************/

//----- WEED source code BEGIN
/*
#declare r1=seed(848);   //by changing this you can create various similar objects
 
#declare Weed=union{ 
#declare z2=0; 
#while (z2<25) 
#declare z2=z2+1; 
 
#declare xkor=0; 
#declare ykor=0; 
#declare zkor=0; 
#declare zahler=-1; 
#declare winkel1=0; 
#declare winkel2=0; 
 
blob{threshold 0.2 
#while (zahler<20) 
#declare zahler=zahler+1; 
#declare dwinkel1=(rand(r1)-0.5)*55; 
#declare dwinkel2=(rand(r1)-0.5)*55; 
#declare winkel1=winkel1+dwinkel1; 
#declare winkel2=winkel2+dwinkel2; 
 
 cylinder{<0,0,0>,<0,0,0.40+zahler*0.005>,0.2-(zahler*0.0099),1 
 rotate x*winkel2 
 rotate y*winkel1 
 translate <xkor,ykor,zkor>} 
 
#declare zkor=zkor+cos(radians(winkel1))*cos(radians(winkel2))*0.5; 
#declare xkor=xkor+cos(radians(winkel2))*sin(radians(winkel1))*0.5; 
#declare ykor=ykor+sin(radians(-winkel2))*0.5; 
#end 
 
scale 0.35 
 
#declare rotatex=-70; 
rotate x*rotatex 
rotate y*z2*14.4 
translate <0,0,1.5> 
} 
#end 
 
 
pigment{ rgb<0.572,0.418,0.165>  }  //modify this to change the objects' color
} 

//--- Weed source code end
*/ 

